> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建音乐视频

> 根据音轨生成可视化音乐视频

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询音乐详情](https://docs.poyo.ai/zh/api-manual/music-series/query-music-detail.md)接口获取结果。

## 使用指南

* 此接口根据音轨生成可视化音乐视频
* 生成带有音频可视化效果和可选品牌标识的 MP4 视频
* 适用于社交媒体内容、宣传素材或音乐分享

## 参数详情

* `task_id`（必填）：已完成的音乐生成任务（生成音乐或延长音乐）的任务 ID
* `audio_id`（必填）：回调数据中具体音轨的标识

## 开发者说明

* 每条音轨只能生成一个音乐视频
* 如果视频已存在，API 返回错误码 409
* 回调中包含生成的 MP4 视频的下载 URL
* 视频生成可能比音频处理任务耗时更长

## 可选参数

* `author` (string)：显示在视频封面上的艺人或创作者名称。最多 50 个字符。
* `domain_name` (string)：显示在视频底部的网站或品牌水印。最多 50 个字符。


## OpenAPI

````yaml zh/api-manual/music-series/create-music-video.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - 创建音乐视频 API
  description: 根据音轨生成可视化音乐视频
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Music Video
      summary: 提交音乐视频创建任务
      description: 根据音轨生成可视化音乐视频
      operationId: submitCreateMusicVideoTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              basic-video:
                summary: 基础音乐视频
                value:
                  model: create-music-video
                  callback_url: https://your-domain.com/callback
                  input:
                    task_id: taskId_774b9aa0422f
                    audio_id: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
              branded-video:
                summary: 带署名的品牌音乐视频
                value:
                  model: create-music-video
                  callback_url: https://your-domain.com/callback
                  input:
                    task_id: taskId_774b9aa0422f
                    audio_id: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
                    author: DJ Electronic
                    domain_name: music.example.com
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '409':
          description: 音乐视频已存在
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 409
                error:
                  message: Music video already exists for this audio
                  type: conflict_error
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - callback_url
        - input
      properties:
        model:
          type: string
          description: |-
            API 模型标识符。

            本接口必须为 `create-music-video`。
          enum:
            - create-music-video
          example: create-music-video
        callback_url:
          type: string
          format: uri
          description: |-
            用于接收结果通知的 Webhook 回调 URL。

            该地址会收到 POST 请求，内容包含音乐视频生成的完成状态和下载 URL。
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - task_id
            - audio_id
          description: 音乐视频创建的输入参数
          properties:
            task_id:
              type: string
              description: |-
                音乐生成任务的唯一标识符。

                应为生成音乐或扩展音乐接口返回的 task_id。
              example: taskId_774b9aa0422f
            audio_id:
              type: string
              description: |-
                要可视化的具体音轨的唯一标识符。

                音乐生成完成后，该 ID 会在回调数据中返回。
              example: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
            author:
              type: string
              description: |-
                显示在视频封面上的艺术家或创作者署名。

                最多 50 个字符。
              maxLength: 50
              example: DJ Electronic
            domain_name:
              type: string
              description: |-
                显示在视频底部的网站或品牌水印。

                最多 50 个字符。
              maxLength: 50
              example: music.example.com
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.